BrlAPI 0.8

Data Structures
brlapi_param.h File Reference
`#include "brlapi_keycodes.h"`

Go to the source code of this file.

## Data Structures
struct | brlapi_param_displaySize_t
struct | brlapi_param_computerBrailleRowCells_t
struct | brlapi_param_properties_t
#define | BRLAPI_PARAM_CLIENT_PRIORITY_DEFAULT 50
#define | BRLAPI_PARAM_CLIENT_PRIORITY_DISABLE 0
#define | BRLAPI_PARAM_BOUND_COMMAND_CODES BRLAPI_PARAM_BOUND_COMMAND_KEYCODES
#define | BRLAPI_PARAM_COMMAND_SHORT_NAME BRLAPI_PARAM_COMMAND_KEYCODE_NAME
#define | BRLAPI_PARAM_COMMAND_LONG_NAME BRLAPI_PARAM_COMMAND_KEYCODE_SUMMARY
#define | BRLAPI_PARAM_DEVICE_KEY_CODES BRLAPI_PARAM_DEFINED_DRIVER_KEYCODES
#define | BRLAPI_PARAM_KEY_SHORT_NAME BRLAPI_PARAM_DRIVER_KEYCODE_NAME
#define | BRLAPI_PARAM_KEY_LONG_NAME BRLAPI_PARAM_DRIVER_KEYCODE_SUMMARY
enum | brlapi_param_t { BRLAPI_PARAM_SERVER_VERSION = 0, BRLAPI_PARAM_CLIENT_PRIORITY = 1, BRLAPI_PARAM_DRIVER_NAME = 2, BRLAPI_PARAM_DRIVER_CODE = 3, BRLAPI_PARAM_DRIVER_VERSION = 4, BRLAPI_PARAM_DEVICE_MODEL = 5, BRLAPI_PARAM_DEVICE_CELL_SIZE = 31, BRLAPI_PARAM_DISPLAY_SIZE = 6, BRLAPI_PARAM_DEVICE_IDENTIFIER = 7, BRLAPI_PARAM_DEVICE_SPEED = 8, BRLAPI_PARAM_DEVICE_ONLINE = 9, BRLAPI_PARAM_RETAIN_DOTS = 10, BRLAPI_PARAM_COMPUTER_BRAILLE_CELL_SIZE = 11, BRLAPI_PARAM_LITERARY_BRAILLE = 12, BRLAPI_PARAM_CURSOR_DOTS = 13, BRLAPI_PARAM_CURSOR_BLINK_PERIOD = 14, BRLAPI_PARAM_CURSOR_BLINK_PERCENTAGE = 15, BRLAPI_PARAM_RENDERED_CELLS = 16, BRLAPI_PARAM_SKIP_IDENTICAL_LINES = 17, BRLAPI_PARAM_AUDIBLE_ALERTS = 18, BRLAPI_PARAM_CLIPBOARD_CONTENT = 19, BRLAPI_PARAM_BOUND_COMMAND_KEYCODES = 20, BRLAPI_PARAM_COMMAND_KEYCODE_NAME = 21, BRLAPI_PARAM_COMMAND_KEYCODE_SUMMARY = 22, BRLAPI_PARAM_DEFINED_DRIVER_KEYCODES = 23, BRLAPI_PARAM_DRIVER_KEYCODE_NAME = 24, BRLAPI_PARAM_DRIVER_KEYCODE_SUMMARY = 25, BRLAPI_PARAM_COMPUTER_BRAILLE_ROWS_MASK = 26, BRLAPI_PARAM_COMPUTER_BRAILLE_ROW_CELLS = 27, BRLAPI_PARAM_COMPUTER_BRAILLE_TABLE = 28, BRLAPI_PARAM_LITERARY_BRAILLE_TABLE = 29, BRLAPI_PARAM_MESSAGE_LOCALE = 30, BRLAPI_PARAM_DRIVER_PROPERTY_VALUE = 32, BRLAPI_PARAM_COUNT = 33 }
enum | brlapi_param_type_t { BRLAPI_PARAM_TYPE_STRING, BRLAPI_PARAM_TYPE_BOOLEAN, BRLAPI_PARAM_TYPE_UINT8, BRLAPI_PARAM_TYPE_UINT16, BRLAPI_PARAM_TYPE_UINT32, BRLAPI_PARAM_TYPE_UINT64, BRLAPI_PARAM_TYPE_KEYCODE = BRLAPI_PARAM_TYPE_UINT64 }
typedef uint64_t | brlapi_param_subparam_t
typedef uint8_t | brlapi_param_bool_t
typedef uint32_t | brlapi_param_serverVersion_t
typedef uint32_t | brlapi_param_clientPriority_t
typedef char * | brlapi_param_driverName_t
typedef char * | brlapi_param_driverCode_t
typedef char * | brlapi_param_driverVersion_t
typedef char * | brlapi_param_deviceModel_t
typedef uint8_t | brlapi_param_deviceCellSize_t
typedef char * | brlapi_param_deviceIdentifier_t
typedef uint32_t | brlapi_param_deviceSpeed_t
typedef brlapi_param_bool_t | brlapi_param_deviceOnline_t
typedef brlapi_param_bool_t | brlapi_param_retainDots_t
typedef uint8_t | brlapi_param_computerBrailleCellSize_t
typedef brlapi_param_bool_t | brlapi_param_literaryBraille_t
typedef uint8_t | brlapi_param_cursorDots_t
typedef uint32_t | brlapi_param_cursorBlinkPeriod_t
typedef uint8_t | brlapi_param_cursorBlinkPercentage_t
typedef uint8_t * | brlapi_param_renderedCells_t
typedef brlapi_param_bool_t | brlapi_param_skipIdenticalLines_t
typedef brlapi_param_bool_t | brlapi_param_audibleAlerts_t
typedef char * | brlapi_param_clipboardContent_t
typedef brlapi_keyCode_t | brlapi_param_commandKeycode_t
typedef char * | brlapi_param_commandKeycodeName_t
typedef char * | brlapi_param_commandKeycodeSummary_t
typedef brlapi_keyCode_t | brlapi_param_driverKeycode_t
typedef char * | brlapi_param_driverKeycodeName_t
typedef char * | brlapi_param_driverKeycodeSummary_t
typedef uint8_t | brlapi_param_computerBrailleRowsMask_t[544]
typedef char * | brlapi_param_computerBrailleTable_t
typedef char * | brlapi_param_literaryBrailleTable_t
typedef char * | brlapi_param_messageLocale_t
typedef uint64_t | brlapi_param_driverPropertyValue_t
typedef brlapi_param_commandKeycode_t | brlapi_param_commandCode_t
typedef brlapi_param_commandKeycodeName_t | brlapi_param_commandShortName_t
typedef brlapi_param_commandKeycodeSummary_t | brlapi_param_commandLongName_t
typedef brlapi_param_driverKeycode_t | brlapi_param_keyCode_t
typedef brlapi_param_driverKeycodeName_t | brlapi_param_keyShortName_t
typedef brlapi_param_driverKeycodeSummary_t | brlapi_param_keyLongName_t
const brlapi_param_properties_t * | brlapi_getParameterProperties (brlapi_param_t parameter)

## Macro Definition Documentation

## ◆ BRLAPI_PARAM_BOUND_COMMAND_CODES

#define BRLAPI_PARAM_BOUND_COMMAND_CODES BRLAPI_PARAM_BOUND_COMMAND_KEYCODES

Deprecated in BRLTTY-6.2 - use BRLAPI_PARAM_BOUND_COMMAND_KEYCODES

## ◆ BRLAPI_PARAM_CLIENT_PRIORITY_DEFAULT

#define BRLAPI_PARAM_CLIENT_PRIORITY_DEFAULT 50

Default value for BRLAPI_PARAM_CLIENT_PRIORITY

## ◆ BRLAPI_PARAM_CLIENT_PRIORITY_DISABLE

#define BRLAPI_PARAM_CLIENT_PRIORITY_DISABLE 0

Value for BRLAPI_PARAM_CLIENT_PRIORITY which actually disables input and output

## ◆ BRLAPI_PARAM_COMMAND_LONG_NAME

#define BRLAPI_PARAM_COMMAND_LONG_NAME BRLAPI_PARAM_COMMAND_KEYCODE_SUMMARY

Deprecated in BRLTTY-6.2 - use BRLAPI_PARAM_COMMAND_KEYCODE_SUMMARY

## ◆ BRLAPI_PARAM_COMMAND_SHORT_NAME

#define BRLAPI_PARAM_COMMAND_SHORT_NAME BRLAPI_PARAM_COMMAND_KEYCODE_NAME

Deprecated in BRLTTY-6.2 - use BRLAPI_PARAM_COMMAND_KEYCODE_NAME

## ◆ BRLAPI_PARAM_DEVICE_KEY_CODES

#define BRLAPI_PARAM_DEVICE_KEY_CODES BRLAPI_PARAM_DEFINED_DRIVER_KEYCODES

Deprecated in BRLTTY-6.2 - use BRLAPI_PARAM_DEFINED_DRIVER_KEYCODES

## ◆ BRLAPI_PARAM_KEY_LONG_NAME

#define BRLAPI_PARAM_KEY_LONG_NAME BRLAPI_PARAM_DRIVER_KEYCODE_SUMMARY

Deprecated in BRLTTY-6.2 - use BRLAPI_PARAM_DRIVER_KEYCODE_SUMMARY

## ◆ BRLAPI_PARAM_KEY_SHORT_NAME

#define BRLAPI_PARAM_KEY_SHORT_NAME BRLAPI_PARAM_DRIVER_KEYCODE_NAME

Deprecated in BRLTTY-6.2 - use BRLAPI_PARAM_DRIVER_KEYCODE_NAME

## Typedef Documentation

## ◆ brlapi_param_audibleAlerts_t

typedef brlapi_param_bool_t brlapi_param_audibleAlerts_t

Type to be used for BRLAPI_PARAM_AUDIBLE_ALERTS

## ◆ brlapi_param_bool_t

typedef uint8_t brlapi_param_bool_t

Type to be used for boolean parameters

## ◆ brlapi_param_clientPriority_t

typedef uint32_t brlapi_param_clientPriority_t

Type to be used for BRLAPI_PARAM_CLIENT_PRIORITY

## ◆ brlapi_param_clipboardContent_t

typedef char* brlapi_param_clipboardContent_t

Type to be used for BRLAPI_PARAM_CLIPBOARD_CONTENT

## ◆ brlapi_param_commandCode_t

typedef brlapi_param_commandKeycode_t brlapi_param_commandCode_t

Deprecated in BRLTTY-6.2 - use brlapi_param_commandKeycode_t

## ◆ brlapi_param_commandKeycode_t

typedef brlapi_keyCode_t brlapi_param_commandKeycode_t

Type to be used for BRLAPI_PARAM_BOUND_COMMAND_KEYCODES

## ◆ brlapi_param_commandKeycodeName_t

typedef char* brlapi_param_commandKeycodeName_t

Type to be used for BRLAPI_PARAM_COMMAND_KEYCODE_NAME

## ◆ brlapi_param_commandKeycodeSummary_t

typedef char* brlapi_param_commandKeycodeSummary_t

Type to be used for BRLAPI_PARAM_COMMAND_KEYCODE_SUMMARY

## ◆ brlapi_param_commandLongName_t

typedef brlapi_param_commandKeycodeSummary_t brlapi_param_commandLongName_t

Deprecated in BRLTTY-6.2 - use brlapi_param_commandKeycodeSummary_t

## ◆ brlapi_param_commandShortName_t

typedef brlapi_param_commandKeycodeName_t brlapi_param_commandShortName_t

Deprecated in BRLTTY-6.2 - use brlapi_param_commandKeycodeName_t

## ◆ brlapi_param_computerBrailleCellSize_t

typedef uint8_t brlapi_param_computerBrailleCellSize_t

Type to be used for BRLAPI_PARAM_COMPUTER_BRAILLE_CELL_SIZE

## ◆ brlapi_param_computerBrailleRowsMask_t

typedef uint8_t brlapi_param_computerBrailleRowsMask_t[544]

Type to be used for BRLAPI_PARAM_COMPUTER_BRAILLE_ROWS_MASK

## ◆ brlapi_param_computerBrailleTable_t

typedef char* brlapi_param_computerBrailleTable_t

Type to be used for BRLAPI_PARAM_COMPUTER_BRAILLE_TABLE

## ◆ brlapi_param_cursorBlinkPercentage_t

typedef uint8_t brlapi_param_cursorBlinkPercentage_t

Type to be used for BRLAPI_PARAM_CURSOR_BLINK_PERCENTAGE

## ◆ brlapi_param_cursorBlinkPeriod_t

typedef uint32_t brlapi_param_cursorBlinkPeriod_t

Type to be used for BRLAPI_PARAM_CURSOR_BLINK_PERIOD

## ◆ brlapi_param_cursorDots_t

typedef uint8_t brlapi_param_cursorDots_t

Type to be used for BRLAPI_PARAM_CURSOR_DOTS

## ◆ brlapi_param_deviceCellSize_t

typedef uint8_t brlapi_param_deviceCellSize_t

Type to be used for BRLAPI_PARAM_DEVICE_CELL_SIZE

## ◆ brlapi_param_deviceIdentifier_t

typedef char* brlapi_param_deviceIdentifier_t

Type to be used for BRLAPI_PARAM_DEVICE_IDENTIFIER

## ◆ brlapi_param_deviceModel_t

typedef char* brlapi_param_deviceModel_t

Type to be used for BRLAPI_PARAM_DEVICE_MODEL

## ◆ brlapi_param_deviceOnline_t

typedef brlapi_param_bool_t brlapi_param_deviceOnline_t

Type to be used for BRLAPI_PARAM_DEVICE_ONLINE

## ◆ brlapi_param_deviceSpeed_t

typedef uint32_t brlapi_param_deviceSpeed_t

Type to be used for BRLAPI_PARAM_DEVICE_SPEED

## ◆ brlapi_param_driverCode_t

typedef char* brlapi_param_driverCode_t

Type to be used for BRLAPI_PARAM_DRIVER_CODE

## ◆ brlapi_param_driverKeycode_t

typedef brlapi_keyCode_t brlapi_param_driverKeycode_t

Type to be used for BRLAPI_PARAM_DEFINED_DRIVER_KEYCODES

## ◆ brlapi_param_driverKeycodeName_t

typedef char* brlapi_param_driverKeycodeName_t

Type to be used for BRLAPI_PARAM_DRIVER_KEYCODE_NAME

## ◆ brlapi_param_driverKeycodeSummary_t

typedef char* brlapi_param_driverKeycodeSummary_t

Type to be used for BRLAPI_PARAM_DRIVER_KEYCODE_SUMMARY

## ◆ brlapi_param_driverName_t

typedef char* brlapi_param_driverName_t

Type to be used for BRLAPI_PARAM_DRIVER_NAME

## ◆ brlapi_param_driverPropertyValue_t

typedef uint64_t brlapi_param_driverPropertyValue_t

Type to be used for BRLAPI_PARAM_DRIVER_PROPERTY_VALUE

## ◆ brlapi_param_driverVersion_t

typedef char* brlapi_param_driverVersion_t

Type to be used for BRLAPI_PARAM_DRIVER_VERSION

## ◆ brlapi_param_keyCode_t

typedef brlapi_param_driverKeycode_t brlapi_param_keyCode_t

Deprecated in BRLTTY-6.2 - use brlapi_param_driverKeycode_t

## ◆ brlapi_param_keyLongName_t

typedef brlapi_param_driverKeycodeSummary_t brlapi_param_keyLongName_t

Deprecated in BRLTTY-6.2 - use brlapi_param_driverKeycodeSummary_t

## ◆ brlapi_param_keyShortName_t

typedef brlapi_param_driverKeycodeName_t brlapi_param_keyShortName_t

Deprecated in BRLTTY-6.2 - use brlapi_param_driverKeycodeName_t

## ◆ brlapi_param_literaryBraille_t

typedef brlapi_param_bool_t brlapi_param_literaryBraille_t

Type to be used for BRLAPI_PARAM_LITERARY_BRAILLE

## ◆ brlapi_param_literaryBrailleTable_t

typedef char* brlapi_param_literaryBrailleTable_t

Type to be used for BRLAPI_PARAM_LITERARY_BRAILLE_TABLE

## ◆ brlapi_param_messageLocale_t

typedef char* brlapi_param_messageLocale_t

Type to be used for BRLAPI_PARAM_MESSAGE_LOCALE

## ◆ brlapi_param_renderedCells_t

typedef uint8_t* brlapi_param_renderedCells_t

Type to be used for BRLAPI_PARAM_RENDERED_CELLS

## ◆ brlapi_param_retainDots_t

typedef brlapi_param_bool_t brlapi_param_retainDots_t

Type to be used for BRLAPI_PARAM_RETAIN_DOTS

## ◆ brlapi_param_serverVersion_t

typedef uint32_t brlapi_param_serverVersion_t

Type to be used for BRLAPI_PARAM_SERVER_VERSION

## ◆ brlapi_param_skipIdenticalLines_t

typedef brlapi_param_bool_t brlapi_param_skipIdenticalLines_t

Type to be used for BRLAPI_PARAM_SKIP_IDENTICAL_LINES

## ◆ brlapi_param_subparam_t

typedef uint64_t brlapi_param_subparam_t

Type to be used for specifying a sub-parameter

## Enumeration Type Documentation

## ◆ brlapi_param_type_t

enum brlapi_param_type_t

Enumeration of parameter value types

Enumerator
BRLAPI_PARAM_TYPE_STRING | Parameter is a string of UTF-8 characters
BRLAPI_PARAM_TYPE_BOOLEAN | Parameter is one or more booleans represented by a uint8_t
BRLAPI_PARAM_TYPE_UINT8 | Parameter is one or more 8-bit unsigned integers
BRLAPI_PARAM_TYPE_UINT16 | Parameter is one or more 16-bit unsigned integers
BRLAPI_PARAM_TYPE_UINT32 | Parameter is one or more 32-bit unsigned integers
BRLAPI_PARAM_TYPE_UINT64 | Parameter is one or more 64-bit unsigned integers
BRLAPI_PARAM_TYPE_KEYCODE | Parameter is one or more key codes

## Function Documentation

## ◆ brlapi_getParameterProperties()

const brlapi_param_properties_t* brlapi_getParameterProperties | ( | brlapi_param_t | parameter | ) |

Enumeration of parameter types Return a description of the properties of a parameter

Parameters

  parameter | is the parameter whose properties describion shall be returned.

Returns
  a pointer to the description of the properties of the parameter.